MASTER Network Manager integrated ppp support - should allow the configuration of dial up modems

Bug #311581 reported by Jonathan Ernst on 2008-12-26
204
This bug affects 27 people
Affects Status Importance Assigned to Milestone
NetworkManager
Confirmed
Wishlist
network-manager (Fedora)
Won't Fix
Medium
network-manager (Ubuntu)
Wishlist
Unassigned
Nominated for Lucid by Devarshi Mishra
Nominated for Maverick by Devarshi Mishra

Bug Description

Network Manager doesn't seem to be able to set up modem ppp / dial up connection altough the old network configurator of GNOME could.

WORKAROUND (for now):

use pppd; which allows configuring a serial modem with the "sudo pppconfig" command, which will ask all the necessary questions.

Description of problem:

NetworkManager doesn't handle modem connections. That might be Ok. NM integrates with old-style ifcfg configs, so it can be done "the old way" instead.

system-config-network allows me to create a modem connection and set NM_CONTROLLED=yes

BUT NetworkManager doesn't agree and complains:
nm-system-settings: ifcfg-fedora: parsing /etc/sysconfig/network-scripts/ifcfg-xxx ...
nm-system-settings: ifcfg-fedora: error: Unknown connection type 'Modem'

I would expect NM to show it in the dropdown, just like 'System eth0' does.

Version-Release number of selected component (if applicable):

system-config-network-1.5.94-2.fc10.noarch
NetworkManager-0.7.0-0.12.svn4326.fc10.i386

Alexander Sack (asac) wrote :

http://bugzilla.gnome.org/show_bug.cgi?id=348330 is probably the "general" upstream bug. if you file a more specific one there, please give us the bug id and remember to add it to the "blocks" list of the tracker bug above.
Thanks!

Alexander Sack (asac) wrote :

obviously a triaged wishlist bug ;)

Changed in network-manager:
importance: Undecided → Wishlist
status: New → Triaged
Changed in network-manager:
status: Unknown → Confirmed

Changing title to reflect the enhancement request.

*** Bug 486671 has been marked as a duplicate of this bug. ***

daf (davydm) wrote :

This is quite an important "wish"

Not only does NetworkManager not provide an interface for ppp connection configuration, but integration with GNOME doesn't pick up that a ppp connection has been made. Thus all "aware" applications (firefox, epiphany, pidgin come to mind) "think" that the user is offline. This is confusing behaviour (in the least) for the user: she is online, but her applications all tell her that she isn't. Not only that, but she had to either install the old network-admin tool to actually configure the connection (or she had to bribe a willing geek to do it for her).

To add insult to injury, the latest kernel build in Jaunty as of writing (2.6.28-11-generic) has usbserial built as a module, so the exotic modem (HUAWEI, or, the latest blossoming provider in .za, NeoTel) isn't recognised and the module parameters that her geek friend set up for her don't work any more. Now she has to learn how to hack the grub boot parameters.

To be quite honest, including "detection for an online state" without ppp support (the most common method for a home user to connect to the internet) is a usability FAIL. This has to be sorted out before the official Jaunty release if the community is not to alienate the less tech-savvy of its user base.

On the same note, I would like to see the vendor/product ids for common "exotic" usb modems included in the kernel, even if just by way of Ubuntu patchset. These usbserial modems are common, like grasshoppers on the savanna. People are getting them with cellphone contracts and newer ISPs. The usbserial module is known to work with them. At what point does someone add the trivial lines to the usbserial module code to recognise these devices?

The same error arises for xDSL connections. The /etc/sysconfig/network-scripts/ifcfg-* file contains "TYPE=xDSL".

Apr 14 08:48:27 zeta nm-system-settings: ifcfg-rh: read connection 'System eth0'
Apr 14 08:48:27 zeta nm-system-settings: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-eth1 ...
Apr 14 08:48:27 zeta nm-system-settings: ifcfg-rh: read connection 'System eth1'
Apr 14 08:48:27 zeta nm-system-settings: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-verizon ...
Apr 14 08:48:27 zeta nm-system-settings: ifcfg-rh: error: Unknown connection type 'xDSL'
Apr 14 08:48:27 zeta nm-system-settings: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ...

/usr/src/debug/NetworkManager-0.7.0.99/system-settings/plugins/ifcfg-rh/reader.c

 type = svGetValue (parsed, "TYPE", FALSE);
[...]
 if (!strcasecmp (type, TYPE_ETHERNET))
  connection = wired_connection_from_ifcfg (filename, parsed, *ignored, error);
 else if (!strcasecmp (type, TYPE_WIRELESS))
  connection = wireless_connection_from_ifcfg (filename, parsed, *ignored, error);
 else {
  g_set_error (error, ifcfg_plugin_error_quark (), 0,
               "Unknown connection type '%s'", type);
 }

As a result, the connection does not come up automatically.

[zeta@zeta ifcfg-rh]$ head --lines=10000 /etc/sysconfig/network-scripts/ifcfg*
==> /etc/sysconfig/network-scripts/ifcfg-eth0 <==
# Broadcom Corporation NetXtreme BCM5703X Gigabit Ethernet
DEVICE=eth0
BOOTPROTO=none
HWADDR=00:0b:cd:9d:2a:95
ONBOOT=yes
TYPE=Ethernet
USERCTL=no
IPV6INIT=yes
NM_CONTROLLED=yes
PEERDNS=no
NETMASK=255.255.255.0
IPADDR=192.168.197.10
DNS1=208.67.222.220
DNS2=208.67.222.222

==> /etc/sysconfig/network-scripts/ifcfg-eth1 <==
# Broadcom Corporation NetXtreme BCM5703X Gigabit Ethernet
DEVICE=eth1
HWADDR=00:0b:cd:9d:2a:94
ONBOOT=yes
BOOTPROTO=none
TYPE=Ethernet
USERCTL=no
PEERDNS=no
IPV6INIT=no
NM_CONTROLLED=yes
NETMASK=255.255.255.0
IPADDR=192.168.1.2
DNS1=208.67.222.220
DNS2=208.67.222.222

==> /etc/sysconfig/network-scripts/ifcfg-lo <==
DEVICE=lo
IPADDR=127.0.0.1
NETMASK=255.0.0.0
NETWORK=127.0.0.0
# If you're having problems with gated making 127.0.0.0/8 a martian,
# you can change this to something else (255.255.255.255, for example)
BROADCAST=127.255.255.255
ONBOOT=yes
NAME=loopback

==> /etc/sysconfig/network-scripts/ifcfg-verizon <==
# Please read /usr/share/doc/initscripts-*/sysconfig.txt
# for the documentation of these parameters.
TYPE=xDSL
DEVICE=ppp1
BOOTPROTO=dialup
USERCTL=no
PEERDNS=no
IPV6INIT=no
PIDFILE=/var/run/pppoe-adsl.pid
FIREWALL=NONE
PING=.
PPPOE_TIMEOUT=80
LCP_FAILURE=3
LCP_INTERVAL=20
CLAMPMSS=1412
CONNECT_POLL=6
CONNECT_TIMEOUT=60
IDLETIMEOUT=600
PERSIST=no
SYNCHRONOUS=no
DEFROUTE=yes
DEMAND=no
ONBOOT=yes
NM_CONTROLLED=yes
USER=username
ETH=eth1
PROVIDER=verizon
[zeta@zeta ifcfg-rh]$

This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

*** Bug 525341 has been marked as a duplicate of this bug. ***

*** Bug 604496 has been marked as a duplicate of this bug. ***

This bug shall be upgraded from its "wishlist" status. It is causing serius problems to many users crippling usability.
Just take a poll around to see how many users are relying on gnome-ppp and wvdial to connect their 3G modems and you will know the seriousness. If the network manager is the boss, it has to be aware about ppp connections made by other programs.
Else, simply add an option to manually make network manager "online" as a temporary solution

Changed in network-manager (Ubuntu):
status: Triaged → Confirmed
daf (davydm) wrote :

Thanks Devarshi

It's just sad that it's taken almost TWO YEARS for such a basic requirement to be taken seriously. In the mean time, I no longer use a 3G connection -- technology, it seems, advances quicker than those who would program for it. I'm sure, however, that the general need for the requirement hasn't gone away. Most especially because it could have just been a wrapper around a shell-script using pppd or even a gksudo'd interface to /etc/network/interfaces (which is pretty-much all I did to solve my issue when I had it). Not rocket science and definitely a stumbling block for adoption amongst the less tech-savvy masses, especially in our netbook-hungry market, where 3G is a totally viable option for getting online.

This bug was reported against Jaunty, about what I understand was pure dial-up modems, not 3G modems. Assuming the same concepts apply to NM 0.8 and later doesn't work unfortunately.

If you're still having an issue with 3G modems, please test in Lucid or the development release (Maverick), and open a new bug specific to your hardware, and report the bug number here. Please make sure to report bugs that include standard information such as described in https://wiki.ubuntu.com/DebuggingNetworkManager or use the 'ubuntu-bug network-manager' command.

For those with standard dial-up modems (*not 3G*), as a workaround you might be able to set the device in /etc/network/interfaces and use pre-up etc. scripts to make it work. NetworkManager will just ignore devices set in /etc/network/interfaces and assume they are UP.

daf (davydm) wrote :

The problem wasn't the 3G device. The problem was quite simply that I couldn't instruct NetworkManager to start a ppp session with a serial (in this case, usb-serial) modem. It doesn't matter what the underlying tech of the modem was -- the initial bug report and the "me too" that I chipped in were due to the issue of not being able to configure a good old pppd session for a serial device, which wouldn't have been a problem if there was just something as simple as a dialog which asks for the device, dial number and user info. Do you understand the source of the frustration? It's no biggie if *I* can configure via /etc/network/interfaces, but my technophobe sister or mother wouldn't be able to do that. An interface like that of gnome-ppp would have been great since NetworkManager seemed to promise to be able to configure ALL network interfaces and then just failed to deliver.

And, to be quite honest, for most people with 3G modems, /etc/network/interfaces _is_still_the_only_way_to_configure_pppd_for_that_interface_.

"NetworkManager will just ignore devices set in /etc/network/interfaces and assume they are UP"
Not when I used it. Hence my chipping in. Everything which was supposedly NM-aware was convinced that I was offline: pidgin, empathy, firefox.
FAIL.

My modem was reportedly working fine till Jaunty. The problem is there since Karmik {point to be noted: since karmic NM does not handle modems on its own, but uses modem-manager}. I am presently using Lucid. I have filed a bug report #620012

Davarshi, thanks. This indeed seems to be due to the split of modem functions to MM.

daf, I fully understand your frustration. I'm just saying that technology has some amounts of relevance in this case. If what you want to do is establish a standard PPP connection through NetworkManager, it would be good to bring it up on the NetworkManager mailing list or as an upstream bug report. As you've mentioned, there are still other alternatives, such as Gnome-ppp, and a few others listed here: https://help.ubuntu.com/community/DialupModemHowto

daf (davydm) wrote :
Download full text (3.5 KiB)

Mathieu, I understand that technology *can* have a role to play (though I think that role is not as major as you might think here). I also appreciate that this is a level-headed discussion. Please understand I come from a place of passion about Linux-based operating systems, in particular Ubuntu. If you don't mind a bit of a read (and I hope this is a reasonable place to make this post) then please also understand that my frustration stemmed from the following:

* _many_ 3G modems (and, with that term, I incorporate GPRS and EDGE, since the tech involved is often transparent to the user -- the modem is simply supplied by a wireless telecoms company on a contract basis) are correctly identified and work with the usb-serial kernel module, producing what, for all intents and purposes, looks "like" a serial modem to client apps. Even more of these modems can be "made to work" by getting their vendor/hardware id's forced at the time of module load -- not trivial for a newbie, but fairly simple to do (all things considered) when following some kind of instructions to edit default module parameters or try out with a modprobe line. The point is that as soon as usb-serial has recognised this device, the actual establishing of a connection via pppd is trival to script from a dev's point of view -- I would have expected the basics of ppp network setup to be available. In other words, the hardware here is not the issue. Whether you have a HUAWEI or a cheap Siemens modem, whether you use one of the zillions of phones out there which present a modem interface via cable, establishing a connection to the internet should be really simple with these devices -- and is, if you have a background in Linux networking. It's just that the common user is left out in the cold -- as is the lazy expert (:
* Even if ppp connections can't be configured through NM (as with wicd, another fine lan/wireless network helper), the problem remains that the client-space applications all believe NM on the opinion it has with respect to "being online". The general idea of being able to help the user with an online status is neat -- just not well thought-out if it doesn't cater for one of the most common methods for connecting to the internet -- most especially at the time of the original post and my "+1". Now that wireless routers and DSL are becoming more of the "norm", the importance of this issue may actually, if anything, be dwindling a little. But I would still count it as important.
* A larger issue is that gnome-ppp (or similar) isn't installed by default. NM is -- and could fill this gap. So the user gets a dvd/cd from a friend/colleague who is a FLOSS-pusher, installs (or hits the "try me out" option) and finds that something which was really trivial to do under her other installed OS is not immediately available to her -- and, as far as I can see, for no particularly good reason (yes, there's dev-time -- and yes, I should be putting my programming skills where my mouth is!) when the establishment of a ppp connection over a serial device has been the granddaddy of internet connection methods -- and typically something Linux-based systems actually do *better*: faster, better ...

Read more...

Download full text (4.7 KiB)

Or to put daf's point from my point of view as a completely non-technical
user, it used to work fine by clicking on network manager (whatever
underlying program this was I don't know) and filling in the phone number.
Now it's broken.

Why has something which worked fine been removed? As I originally posted
when I had this bug filed under another bug report, it's not an issue to me
when my normal broadband connection is working, but when my broadband
provider goes 'bust' (as they have done twice now), or has a service problem
it leaves me in the intolerable position of not being able to get on-line at
all, not being able to email my provider to find out what's going on, not
being able to get on the internet to arrange another provider, not being
able to get my bank statements, not being able to recieve my emails, not
being able to access my online diary and documents etc, etc, etc.

On 19 August 2010 06:33, daf <email address hidden> wrote:

> Mathieu, I understand that technology *can* have a role to play (though
> I think that role is not as major as you might think here). I also
> appreciate that this is a level-headed discussion. Please understand I
> come from a place of passion about Linux-based operating systems, in
> particular Ubuntu. If you don't mind a bit of a read (and I hope this is
> a reasonable place to make this post) then please also understand that
> my frustration stemmed from the following:
>
> * _many_ 3G modems (and, with that term, I incorporate GPRS and EDGE, since
> the tech involved is often transparent to the user -- the modem is simply
> supplied by a wireless telecoms company on a contract basis) are correctly
> identified and work with the usb-serial kernel module, producing what, for
> all intents and purposes, looks "like" a serial modem to client apps. Even
> more of these modems can be "made to work" by getting their vendor/hardware
> id's forced at the time of module load -- not trivial for a newbie, but
> fairly simple to do (all things considered) when following some kind of
> instructions to edit default module parameters or try out with a modprobe
> line. The point is that as soon as usb-serial has recognised this device,
> the actual establishing of a connection via pppd is trival to script from a
> dev's point of view -- I would have expected the basics of ppp network setup
> to be available. In other words, the hardware here is not the issue. Whether
> you have a HUAWEI or a cheap Siemens modem, whether you use one of the
> zillions of phones out there which present a modem interface via cable,
> establishing a connection to the internet should be really simple with these
> devices -- and is, if you have a background in Linux networking. It's just
> that the common user is left out in the cold -- as is the lazy expert (:
> * Even if ppp connections can't be configured through NM (as with wicd,
> another fine lan/wireless network helper), the problem remains that the
> client-space applications all believe NM on the opinion it has with respect
> to "being online". The general idea of being able to help the user with an
> online status is neat -- just not well thought-out if it doesn't cater for
> one of t...

Read more...

Download full text (5.1 KiB)

Oh, and I forgot to say, not being able to download any additional software
to get the modem going, and not being able to look at these bug reports to
find a work-around. Most frustrating.

On 19 August 2010 08:24, Richard Cookson <
richardcookson@3rdplanet.efhmail.com> wrote:

> Or to put daf's point from my point of view as a completely non-technical
> user, it used to work fine by clicking on network manager (whatever
> underlying program this was I don't know) and filling in the phone number.
> Now it's broken.
>
> Why has something which worked fine been removed? As I originally posted
> when I had this bug filed under another bug report, it's not an issue to me
> when my normal broadband connection is working, but when my broadband
> provider goes 'bust' (as they have done twice now), or has a service problem
> it leaves me in the intolerable position of not being able to get on-line at
> all, not being able to email my provider to find out what's going on, not
> being able to get on the internet to arrange another provider, not being
> able to get my bank statements, not being able to recieve my emails, not
> being able to access my online diary and documents etc, etc, etc.
>
>
> On 19 August 2010 06:33, daf <email address hidden> wrote:
>
>> Mathieu, I understand that technology *can* have a role to play (though
>> I think that role is not as major as you might think here). I also
>> appreciate that this is a level-headed discussion. Please understand I
>> come from a place of passion about Linux-based operating systems, in
>> particular Ubuntu. If you don't mind a bit of a read (and I hope this is
>> a reasonable place to make this post) then please also understand that
>> my frustration stemmed from the following:
>>
>> * _many_ 3G modems (and, with that term, I incorporate GPRS and EDGE,
>> since the tech involved is often transparent to the user -- the modem is
>> simply supplied by a wireless telecoms company on a contract basis) are
>> correctly identified and work with the usb-serial kernel module, producing
>> what, for all intents and purposes, looks "like" a serial modem to client
>> apps. Even more of these modems can be "made to work" by getting their
>> vendor/hardware id's forced at the time of module load -- not trivial for a
>> newbie, but fairly simple to do (all things considered) when following some
>> kind of instructions to edit default module parameters or try out with a
>> modprobe line. The point is that as soon as usb-serial has recognised this
>> device, the actual establishing of a connection via pppd is trival to script
>> from a dev's point of view -- I would have expected the basics of ppp
>> network setup to be available. In other words, the hardware here is not the
>> issue. Whether you have a HUAWEI or a cheap Siemens modem, whether you use
>> one of the zillions of phones out there which present a modem interface via
>> cable, establishing a connection to the internet should be really simple
>> with these devices -- and is, if you have a background in Linux networking.
>> It's just that the common user is left out in the cold -- as is the lazy
>> expert (:
>> * Even if ppp connections can't be configured ...

Read more...

Right.

That said, from what I recall this was omitted upstream during the split of
modem responsibilities to MM, and it is non-trivial to patch either
application to support this again. If you want basic, ppp modem support
(with phone numbers and such) in NM/MM, it would truly be best to bring it
up on the mailing list or bug upstream (and report the bug number or thread
here) rather than here. Keep in mind though that basic ppp support will not
be useful with all kinds of devices.

As far as gnome-ppp is concerned (or any other work around), please open a
new MIR bug following (iirc, since i am on mobile)
http://wiki.ubuntu.com/MainInclusionReport, if the package is not in main,
and ask for it to be added to the cd or default install. I think it might
even have been the case in the past.

I understand that the main fault lies with the modem-manager which is unable to dial my modem and I have to use gnome-ppp or wvdial for the same. However, my complaint with network manager is that it should be able to detect that an internet connection has been made using another program. If that is not technically feasible, then please put an option in network manager to manually put the status as online (if required, the network manager may verify by pinging some known server). But since other programs are relying on the online status publised by network manager, it shall be capable enough to handle all situations, or atleast have a manual mode.

Playing a blame game is not going to help anyone. The only best thing that the owner of network-manager can do is to implement the said solution until the problem with modem-manager gets resolved. Everyone shall do the best on his own part.

daf (davydm) wrote :

Well put, Devarshi

I think that what you're saying was the original intent of the bug report. Whilst it sucks that establishing a ppp link is more of a mission than it needs to be, it sucks a whole lot more that because NM can't tell that the user is in fact online, it misinforms client applications of an offline status -- changing their functionality (Firefox won't even try to get a page; Pidgin won't even let you attempt to go online, etc).
IIRC, this was why I ended up uninstalling NM (replacing with wicd). Sure there are some other work-arounds (Firefox has a config tweak, for example), but the path of least resistance was simply to give up on NM.

From what i saw in 0.8.1 this may be possible if you set both ipv4 and ipv6
to come up anyway if there is no address assigned. Could one of you try this
out from a livecd of maverick and let me know if it works for your use case?
I can post more detailed instructions if necessary.

Le 20 août 2010 01:11, "daf" <email address hidden> a écrit :
> Well put, Devarshi
>
> I think that what you're saying was the original intent of the bug report.
Whilst it sucks that establishing a ppp link is more of a mission than it
needs to be, it sucks a whole lot more that because NM can't tell that the
user is in fact online, it misinforms client applications of an offline
status -- changing their functionality (Firefox won't even try to get a
page; Pidgin won't even let you attempt to go online, etc).
> IIRC, this was why I ended up uninstalling NM (replacing with wicd). Sure
there are some other work-arounds (Firefox has a config tweak, for example),
but the path of least resistance was simply to give up on NM.
>
> --
> MASTER Network Manager integrated ppp support - should allow the
configuration of dial up modems
> https://bugs.launchpad.net/bugs/311581
> You received this bug notification because you are a member of Network-
> manager, which is subscribed to NetworkManager.
>
> Status in NetworkManager: Confirmed
> Status in “network-manager” package in Ubuntu: Confirmed
> Status in “network-manager” package in Fedora: Unknown
>
> Bug description:
> Network Manager doesn't seem to be able to set up modem ppp / dial up
connection altough the old network configurator of GNOME could.
>
>

Changed in network-manager:
importance: Unknown → Wishlist

This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we may not be able to fix it before Fedora 12 is end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora please change the 'version' of this
bug to the applicable version. If you are unable to change the version,
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Singpolyma (singpolyma) wrote :

I would also like to vote for this to be upgraded from "Wishlist". I know a large number of people in Africa who are willing to use Ubuntu, but cannot right now because of the abismal (that is: no) dial up support. Pleast fix.

daf (davydm) wrote :

Ironic. Ubuntu can't be easily used by the people from the country/continent of its birth because their technology isn't up to par. This is an ideal place for Ubuntu patches to be made on default packages - solve problems at home before taking over the world... /2c

I appreciate the frustrations this can cause, but the situation is open upstream and to have standard dial-up (e.g. serial modem) support added, please make sure you let the upstream developers know it's an important issue on the related bug (see at the top of the report for the NetworkManager project), as well as on the NetworkManager mailing list (see http://live.gnome.org/NetworkManager).

I don't think there is a need to further add "me-too"'s to this bug report, it just dilutes the useful implementation details.

As a workaround, I know gnome-ppp isn't installed by default, but pppd/pppconfig is. You can use the following command (in a Terminal), to configure your modem to be used to connect to the internet:

sudo pppconfig

Thanks.

description: updated
Changed in network-manager:
status: Confirmed → Expired
Changed in network-manager:
status: Expired → Confirmed
Marius B. Kotsbak (mariusko) wrote :

I see this more of a workaround for modems not currently supported by Network/modem manager, and I would recommend adding bug reports for the individual modems not working by runing "ubuntu-bug modemmanager" from a terminal instead of waiting for this.

G4JC (gaming4jc2) wrote :

It appears wvdial is still included on the Ubuntu CD, so you can apt-get and install it without internet connection (a HUGE plus). So just "sudo wvdialconf", and then "sudo gedit /etc/wvdial.conf", and then "sudo wvdial" to connect. Meanwhile I find it nearly unbelievable upstream has ignored this bug for 7 years. Seeing how even modern countries have fallen back to dial-up as of late:
http://articles.washingtonpost.com/2011-12-06/lifestyle/35288255_1_servers-andrew-lewis-activists
http://www.npr.org/2011/12/14/143721874/in-cuba-dial-up-internet-is-a-luxury

Changed in network-manager (Fedora):
importance: Unknown → Medium
status: Unknown → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.